/*******************************************************************************
 * ZEAIController generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class ZEAIController extends AIController
    hidecategories(Navigation);

const MinimumDelay = 0.1;

var ZEBehavior ActiveBehavior;

function DetermineBestBehavior()
{
    //return;    
}

final function StartBehavior(ZEBehavior NewBehavior)
{
    // End:0x11
    if(none == NewBehavior)
    {
        return;
    }
    // End:0x65
    if((ActiveBehavior != none) && ActiveBehavior.Class == NewBehavior.Class)
    {
        return;
    }
    // End:0x93
    if(ActiveBehavior != none)
    {
        ActiveBehavior.ShutDown();
    }
    ActiveBehavior = NewBehavior;
    ActiveBehavior.Agent = Pawn;
    ActiveBehavior.Initialize();
    //return;    
}

auto state Spawned
{
Run:
    // End:0x1D
    if(Pawn != none)
    {
        GotoState('Active');
    }
    Sleep(1.0);
    goto 'Run';
    stop;                    
}

state Active
{
Begin:
    // End:0x5B
    if(ActiveBehavior != none)
    {
        // End:0x5B
        if(ActiveBehavior.IsComplete())
        {
            ActiveBehavior.ShutDown();
            ActiveBehavior = none;
        }
    }
    DetermineBestBehavior();
    // End:0x93
    if(ActiveBehavior != none)
    {
        ActiveBehavior.Run();
    }
    // End:0xD7
    if((ActiveBehavior == none) || ActiveBehavior.BehaviorDelay < 0.10)
    {
        Sleep(0.10);
    }
    // End:0xF8
    else
    {
        Sleep(ActiveBehavior.BehaviorDelay);
    }
    goto 'Begin';
    stop;        
}
